Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Event_Handler_Handle_Timeout_Upcall< ACE_LOCK > Class Template Reference

Functor for Timer_Queues. More...

`#include <Timer_Queue_T.h>`

Inheritance diagram for ACE_Event_Handler_Handle_Timeout_Upcall< ACE_LOCK >:

[legend]
List of all members.

## Public Types
typedef ACE_Timer_Queue_T< ACE_Event_Handler *, ACE_Event_Handler_Handle_Timeout_Upcall< ACE_LOCK >, ACE_LOCK > | TIMER_QUEUE
## Public Methods
| ACE_Event_Handler_Handle_Timeout_Upcall (void)
| Constructor.
| ~ACE_Event_Handler_Handle_Timeout_Upcall (void)
| Destructor.
int | registration (TIMER_QUEUE &timer_queue, ACE_Event_Handler *handler, const void *arg)
| This method is called when a timer is registered.
int | preinvoke (TIMER_QUEUE &timer_queue, ACE_Event_Handler *handler, const void *arg, int recurring_timer, const ACE_Time_Value &cur_time, const void *&upcall_act)
| This method is called before the timer expires.
int | timeout (TIMER_QUEUE &timer_queue, ACE_Event_Handler *handler, const void *arg, int recurring_timer, const ACE_Time_Value &cur_time)
| This method is called when the timer expires.
int | postinvoke (TIMER_QUEUE &timer_queue, ACE_Event_Handler *handler, const void *arg, int recurring_timer, const ACE_Time_Value &cur_time, const void *upcall_act)
| This method is called after the timer expires.
int | cancel_type (TIMER_QUEUE &timer_queue, ACE_Event_Handler *handler, int dont_call, int &requires_reference_counting)
| This method is called when a handler is cancelled.
int | cancel_timer (TIMER_QUEUE &timer_queue, ACE_Event_Handler *handler, int dont_call, int requires_reference_counting)
| This method is called when a timer is cancelled.
int | deletion (TIMER_QUEUE &timer_queue, ACE_Event_Handler *handler, const void *arg)
## Private Methods
| ACE_Event_Handler_Handle_Timeout_Upcall (const ACE_Event_Handler_Handle_Timeout_Upcall< ACE_LOCK > &)
void | operator= (const ACE_Event_Handler_Handle_Timeout_Upcall< ACE_LOCK > &)
## Private Attributes
int | requires_reference_counting_

## Detailed Description

### template<class ACE_LOCK>
class ACE_Event_Handler_Handle_Timeout_Upcall< ACE_LOCK >

Functor for Timer_Queues.

This class implements the functor required by the Timer Queue to call <handle_timeout> on ACE_Event_Handlers.

## Member Typedef Documentation

template<class ACE_LOCK>
typedef ACE_Timer_Queue_T<ACE_Event_Handler *, ACE_Event_Handler_Handle_Timeout_Upcall<ACE_LOCK>, ACE_LOCK> ACE_Event_Handler_Handle_Timeout_Upcall< ACE_LOCK >::TIMER_QUEUE

## Constructor & Destructor Documentation

template<class ACE_LOCK>
ACE_Event_Handler_Handle_Timeout_Upcall< ACE_LOCK >::ACE_Event_Handler_Handle_Timeout_Upcall | ( | void |  | ) |

| Constructor.

template<class ACE_LOCK>
ACE_Event_Handler_Handle_Timeout_Upcall< ACE_LOCK >::~ACE_Event_Handler_Handle_Timeout_Upcall | ( | void |  | ) |

| Destructor.

template<class ACE_LOCK>
ACE_Event_Handler_Handle_Timeout_Upcall< ACE_LOCK >::ACE_Event_Handler_Handle_Timeout_Upcall | ( | const ACE_Event_Handler_Handle_Timeout_Upcall< ACE_LOCK > & |  | ) | `[private]`

## Member Function Documentation

template<class ACE_LOCK>
int ACE_Event_Handler_Handle_Timeout_Upcall< ACE_LOCK >::cancel_timer | ( | TIMER_QUEUE & | timer_queue,
|  | ACE_Event_Handler * | handler,
|  | int | dont_call,
|  | int | requires_reference_counting
| ) |

| This method is called when a timer is cancelled.

template<class ACE_LOCK>
int ACE_Event_Handler_Handle_Timeout_Upcall< ACE_LOCK >::cancel_type | ( | TIMER_QUEUE & | timer_queue,
|  | ACE_Event_Handler * | handler,
|  | int | dont_call,
|  | int & | requires_reference_counting
| ) |

| This method is called when a handler is cancelled.

template<class ACE_LOCK>
int ACE_Event_Handler_Handle_Timeout_Upcall< ACE_LOCK >::deletion | ( | TIMER_QUEUE & | timer_queue,
|  | ACE_Event_Handler * | handler,
|  | const void * | arg
| ) |

| This method is called when the timer queue is destroyed and the timer is still contained in it

template<class ACE_LOCK>
void ACE_Event_Handler_Handle_Timeout_Upcall< ACE_LOCK >::operator= | ( | const ACE_Event_Handler_Handle_Timeout_Upcall< ACE_LOCK > & |  | ) | `[private]`

template<class ACE_LOCK>
int ACE_Event_Handler_Handle_Timeout_Upcall< ACE_LOCK >::postinvoke | ( | TIMER_QUEUE & | timer_queue,
|  | ACE_Event_Handler * | handler,
|  | const void * | arg,
|  | int | recurring_timer,
|  | const ACE_Time_Value & | cur_time,
|  | const void * | upcall_act
| ) |

| This method is called after the timer expires.

template<class ACE_LOCK>
int ACE_Event_Handler_Handle_Timeout_Upcall< ACE_LOCK >::preinvoke | ( | TIMER_QUEUE & | timer_queue,
|  | ACE_Event_Handler * | handler,
|  | const void * | arg,
|  | int | recurring_timer,
|  | const ACE_Time_Value & | cur_time,
|  | const void *& | upcall_act
| ) |

| This method is called before the timer expires.

template<class ACE_LOCK>
int ACE_Event_Handler_Handle_Timeout_Upcall< ACE_LOCK >::registration | ( | TIMER_QUEUE & | timer_queue,
|  | ACE_Event_Handler * | handler,
|  | const void * | arg
| ) |

| This method is called when a timer is registered.

template<class ACE_LOCK>
int ACE_Event_Handler_Handle_Timeout_Upcall< ACE_LOCK >::timeout | ( | TIMER_QUEUE & | timer_queue,
|  | ACE_Event_Handler * | handler,
|  | const void * | arg,
|  | int | recurring_timer,
|  | const ACE_Time_Value & | cur_time
| ) |

| This method is called when the timer expires.

## Member Data Documentation

template<class ACE_LOCK>
int ACE_Event_Handler_Handle_Timeout_Upcall< ACE_LOCK >::requires_reference_counting_`[private]`

| Flag indicating that reference counting is required for this event handler upcall.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Timer_Queue_T.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Timer_Queue_T.cpp